#!/bin/bash

# check arch
if [[ $(uname -m) == "aarch64" ]]; then
    arch="arm"
elif [[ $(uname -m) == "x86_64" ]]; then
    arch="amd"
else
    echo "Unsupported architectures:$(uname -m)"
    exit
fi

# get filename
arch_file="latest.${arch}64.linux.zip"


# download
rm ${arch_file}
wget "https://downloads.lockval.com/${arch_file}"

# unzip
rm -rf dist/
unzip ${arch_file}

mv dist/api .
mv dist/db .
mv dist/guest .
mv dist/gw .
mv dist/trigger .
mv dist/login .
mv dist/updatefile .
mv dist/api.lockval.so .





