#!/bin/bash

# linux

# there are two db, two gw, two api

if [ -z "$1" ] || [ "$1" = "etcd" ] ; then
nohup ./etcd >/dev/null 2>&1 &
fi
if [ -z "$1" ] || [ "$1" = "updatefile" ] ; then
nohup ./updatefile -ssl example.com >/dev/null 2>&1 &
fi

if [ -z "$1" ] || [ "$1" = "dbn" ] ; then
./db -dbn 127.0.0.1:59301,127.0.0.1:59302
fi

if [ -z "$1" ] || [ "$1" = "trigger" ] ; then
nohup ./trigger -serviceAddr 127.0.0.1:59101 -httpAddr :59102 -configfile config.yaml > trigger.log 2>&1 &
fi

if [ -z "$1" ] || [ "$1" = "db" ] ; then
nohup ./db -serviceAddr 127.0.0.1:59301 > db1.log 2>&1 &
nohup ./db -serviceAddr 127.0.0.1:59302 > db2.log 2>&1 &
fi
if [ -z "$1" ] || [ "$1" = "gw" ] ; then
nohup ./gw -serviceAddr 127.0.0.1:59501 -verifySecretkey $verifySecretkey > gw1.log 2>&1 &
nohup ./gw -serviceAddr 127.0.0.1:59502 -verifySecretkey $verifySecretkey > gw2.log 2>&1 &
fi
if [ -z "$1" ] || [ "$1" = "api" ] ; then
nohup ./api -serviceAddr 127.0.0.1:59201 -dbgrpc 127.0.0.1:59301,127.0.0.1:59302 -triggerAddr 127.0.0.1:59101 > api1.log 2>&1 &
nohup ./api -serviceAddr 127.0.0.1:59202 -dbgrpc 127.0.0.1:59301,127.0.0.1:59302 -triggerAddr 127.0.0.1:59101 > api2.log 2>&1 &
fi

if [ -z "$1" ] || [ "$1" = "login" ] ; then
nohup ./login -serviceAddr 127.0.0.1:59401 -verifySecretkey $verifySecretkey > login.log 2>&1 &
fi
if [ -z "$1" ] || [ "$1" = "login" ] ; then
nohup ./guest -serviceAddr 127.0.0.1:59402 -verifySecretkey $verifySecretkey > guest.log 2>&1 &
fi
